$(document).ready(function () {
    $("#logout").click(function () {

        var formData = {
            jsonData: "logout",
        };

        if (checkconnection()) {
            $.ajax({
                type: "GET",
                url: "json.php",
                data: formData
            }).done(function (data) {
                var json = $.parseJSON(data);
                if (json.success) {
                    window.location = "/";
                }
            });
        } else {
            $("#divOffline").empty();
            $("#divOffline").append('<div class="alert alert-warning" role="alert">Vous n\'êtes pas connecté à internet</div>');
            $("#divOffline").show();
            window.setTimeout(function() {
                $("#divOffline").fadeTo(600, 0).slideUp(600, function(){
                    $(this).hide();
                    $(this).css('opacity', '1');
                });
            }, 1000); 
        }
    })
});